ChangeSet 1.1276.1.60, 2003/08/28 11:42:09-07:00, rddunlap@osdl.org

[PATCH] USB: fix functions to match prototypes


 drivers/usb/media/ov511.c  |    2 +-
 drivers/usb/media/pwc-if.c |    6 +++---
 drivers/usb/media/se401.c  |    2 +-
 drivers/usb/media/stv680.c |    2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)


diff -Nru a/drivers/usb/media/ov511.c b/drivers/usb/media/ov511.c
--- a/drivers/usb/media/ov511.c	Tue Sep  2 12:42:50 2003
+++ b/drivers/usb/media/ov511.c	Tue Sep  2 12:42:50 2003
@@ -4592,7 +4592,7 @@
 	return rc;
 }
 
-static int
+static ssize_t
 ov51x_v4l1_read(struct file *file, char *buf, size_t cnt, loff_t *ppos)
 {
 	struct video_device *vdev = file->private_data;
diff -Nru a/drivers/usb/media/pwc-if.c b/drivers/usb/media/pwc-if.c
--- a/drivers/usb/media/pwc-if.c	Tue Sep  2 12:42:50 2003
+++ b/drivers/usb/media/pwc-if.c	Tue Sep  2 12:42:50 2003
@@ -129,7 +129,7 @@
 
 static int pwc_video_open(struct inode *inode, struct file *file);
 static int pwc_video_close(struct inode *inode, struct file *file);
-static int pwc_video_read(struct file *file, char *buf,
+static ssize_t pwc_video_read(struct file *file, char *buf,
 			  size_t count, loff_t *ppos);
 static unsigned int pwc_video_poll(struct file *file, poll_table *wait);
 static int  pwc_video_ioctl(struct inode *inode, struct file *file,
@@ -1116,7 +1116,7 @@
                 device is tricky anyhow.
  */
 
-static int pwc_video_read(struct file *file, char *buf,
+static ssize_t pwc_video_read(struct file *file, char *buf,
 			  size_t count, loff_t *ppos)
 {
 	struct video_device *vdev = file->private_data;
@@ -1124,7 +1124,7 @@
 	int noblock = file->f_flags & O_NONBLOCK;
 	DECLARE_WAITQUEUE(wait, current);
 
-	Trace(TRACE_READ, "video_read(0x%p, %p, %d) called.\n", vdev, buf, count);
+	Trace(TRACE_READ, "video_read(0x%p, %p, %Zd) called.\n", vdev, buf, count);
 	if (vdev == NULL)
 		return -EFAULT;
 	pdev = vdev->priv;
diff -Nru a/drivers/usb/media/se401.c b/drivers/usb/media/se401.c
--- a/drivers/usb/media/se401.c	Tue Sep  2 12:42:50 2003
+++ b/drivers/usb/media/se401.c	Tue Sep  2 12:42:50 2003
@@ -1121,7 +1121,7 @@
 	return video_usercopy(inode, file, cmd, arg, se401_do_ioctl);
 }
 
-static int se401_read(struct file *file, char *buf,
+static ssize_t se401_read(struct file *file, char *buf,
 		     size_t count, loff_t *ppos)
 {
 	int realcount=count, ret=0;
diff -Nru a/drivers/usb/media/stv680.c b/drivers/usb/media/stv680.c
--- a/drivers/usb/media/stv680.c	Tue Sep  2 12:42:50 2003
+++ b/drivers/usb/media/stv680.c	Tue Sep  2 12:42:50 2003
@@ -1313,7 +1313,7 @@
 	return 0;
 }
 
-static int stv680_read (struct file *file, char *buf,
+static ssize_t stv680_read (struct file *file, char *buf,
 			size_t count, loff_t *ppos)
 {
 	struct video_device *dev = file->private_data;
